Skip to main content
GET
/
v1
/
proctors
/
{proctorSid}
/
session-accommodations
Session Accommodations
curl --request GET \
  --url http://api.dev.smarterproctoring.com/v1/proctors/{proctorSid}/session-accommodations \
  --header 'token: <api-key>'
"<string>"

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

proctorSid
string
required

Proctor Sid

Pattern: ^PA[a-f0-9]{32}$

Query Parameters

name
string

Student name

location
string

Proctor location name

appointmentEndDate
string

appointment end date, must provide open date with it

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

appointmentStartDate
string

appointment start data

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

email
string

student email

offset
integer

Offset for pagination

Required range: x >= 0
limit
integer
default:50

Number of items to returnd

Required range: x >= 0
endDate
string

Exam Close date, must provide open date with it

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

Response

default - application/json

Successful

The response is of type string.